APIAnalytics

Tool access by hour

Tool and write calls by hour of day (UTC).

GET
/analytics/tool-access/hourly

Tool and write calls by hour of day (UTC).

Authorization

ApiKeyAuth
headerAuthorizationBearer <token>

Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.

Required permission

view_user_analytics

Query Parameters

start_time*string

Start of the time range to report on, inclusive.

Formatdate-time
end_time*string

End of the time range to report on, exclusive.

Formatdate-time

Response Body

The request has succeeded.

application/json
  1. response

Tool calls by hour of day (UTC), including calls without a user email.

items*array<>
curl -X GET "https://example.com/analytics/tool-access/hourly?start_time=2019-08-24T14%3A15%3A22Z&end_time=2019-08-24T14%3A15%3A22Z"
{  "items": [    {      "hour": 0,      "calls": 0,      "write_calls": 0    }  ]}